class: Workflow
cwlVersion: v1.0
id: compress_pipeline_cwl
label: compress_pipeline.cwl
inputs:
  - id: flag_autocorrelation
    type: boolean?
  - id: surls
    type: 'string[]'
outputs:
  - id: compressed
    outputSource:
      - compress/compressed
    type: File[]
  - id: inspect
    outputSource:
      - compress/inspect
    type: File[]
  - id: logfile
    outputSource:
      - compress/logfile
    type:
      type: array
      items:
        type: array
        items: File
  - id: ingest
    outputSource:
      - compress/inspect
    type: Any[]
steps:
  - id: fetch_data
    in:
      - id: surl_link
        source: surls
    out:
      - id: uncompressed
    run: steps/fetch_data.cwl
    label: fetch_data
    scatter:
      - surl_link
  - id: compress
    in:
      - id: msin
        source: fetch_data/uncompressed
      - id: flag_autocorrelation
        source: flag_autocorrelation
    scatter:
      - msin
    out:
      - id: compressed
      - id: inspect
      - id: logfile
      - id: ingest
    run: ./compress_pipeline.cwl
requirements:
  - class: ScatterFeatureRequirement
  - class: SubworkflowFeatureRequirement
  - class: StepInputExpressionRequirement
  - class: InlineJavascriptRequirement
