class: CommandLineTool
cwlVersion: v1.0
id: dppp
baseCommand:
  - DPPP
inputs:
  - id: parset
    type: File?
    inputBinding:
      position: -1
  - id: msin
    type: Directory?
    inputBinding:
      position: 0
      prefix: msin=
      separate: false
    doc: Input Measurement Set
  - default: "."
    id: msout_name
    type: string
    inputBinding:
      position: 0
      prefix: msout=
      separate: false
    doc: Output Measurement Set
  - default: false
    id: autoweight
    type: boolean
    inputBinding:
      position: 0
      prefix: 'msin.autoweight=True'
  - default: ''
    id: baseline
    type: string
    inputBinding:
      position: 0
      prefix: 'msin.baseline='
      separate: false
  - default: DATA
    id: output_column
    type: string?
    inputBinding:
      position: 0
      prefix: 'msout.datacolumn='
      separate: false
  - default: DATA
    id: input_column
    type: string?
    inputBinding:
      position: 0
      prefix: 'msin.datacolumn='
      separate: false
  - id: writefullresflag
    type: boolean
    default: false
    inputBinding:
       prefix: msout.writefullresflag=True
  - id: overwrite
    type: boolean
    default: false
    inputBinding:
       prefix: msout.overwrite=True
  - id: storagemanager
    type: string
    default: ""
    inputBinding:
       prefix: msout.storagemanager=
       separate: false
  - id: databitrate
    type: int
    default: 0
    inputBinding:
       prefix: msout.storagemanager.databitrate=
       separate: false
outputs:
  - id: msout
    doc: Output Measurement Set
    type: Directory
    outputBinding:
      glob: '$(inputs.msout_name=="." ? inputs.msin.basename : inputs.msout_name)'
  - id: logfile
    type: File[]
    outputBinding:
      glob: 'DPPP*.log'
hints:
  - class: DockerRequirement
    dockerPull: astronsdc/lofar-ms-software:latest
stdout: DPPP.log
stderr: DPPP_err.log
requirements:
  - class: InlineJavascriptRequirement
